using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("TP_CukaiMajikan")]
    public class TPMajikan
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public long MajikanID { get; set; }

        [Required]
        public long TPID { get; set; }
         
        [StringLength(20)]
        public string NoCukaiMajikan { get; set; }
         
        [StringLength(255)]
        public string NamaMajikan { get; set; } 

        public Nullable<bool> IsActive { get; set; } 
        
        [Required]
        public Int16 STS_LastSeqNo { get; set; } 

        [Column(TypeName = "date")]
        public DateTime? CommencementDate { get; set; }

        [Column(TypeName = "date")]
        public DateTime? CessationDate { get; set; } 

        [Required]
        public long STS_EMPL_REF_NO { get; set; }

        [Column(TypeName = "datetime2")]
        public Nullable<DateTime> STS_UpdatedDatetime { get; set; }

    }
}
